package com.dayou.service;
import com.dayou.entity.ItemBrokerageTechnicistDeduction;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.DeductionTechStatVO;
import com.dayou.vo.TechDeductionVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 技术人员提成抵扣记录 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-06-06
 */
public interface IItemBrokerageTechnicistDeductionService extends IService<ItemBrokerageTechnicistDeduction> {

        Page<TechDeductionVO> selectPage(Page page, TechDeductionVO techDeductionVO);

        ItemBrokerageTechnicistDeduction detail(Long id);

        Boolean add(ItemBrokerageTechnicistDeduction itemBrokerageTechnicistDeduction);

        Boolean update(ItemBrokerageTechnicistDeduction itemBrokerageTechnicistDeduction);

        Boolean delete(Long id);

    DeductionTechStatVO stat();
}
